Bug 164698 - [patch] www/apache22: remove custom user creation in favor of USERS framework
[patch] www/apache22: remove custom user creation in favor of USERS framework
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-01 23:50 UTC by jgh@FreeBSD.org
Modified: 2012-02-08 04:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.92 KB, patch)
2012-02-01 23:50 UTC, jgh@FreeBSD.org
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jgh@FreeBSD.org freebsd_committer 2012-02-01 23:50:09 UTC
apache uses custom user creation in pre-install for installation of www user
this can be dropped and we can use the USERS framework in the portstree

here are buildlogs:
https://redports.org/buildarchive/20120201231812-36649/
Comment 1 Edwin Groothuis freebsd_committer 2012-02-01 23:50:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2012-02-07 19:21:29 UTC
Responsible Changed
From-To: apache->pgollucci

I will take it.
Comment 3 dfilter freebsd_committer 2012-02-08 04:35:51 UTC
pgollucci    2012-02-08 04:35:31 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile Makefile.options pkg-install 
    www/apache22/files   patch-modules__proxy__mod_proxy_connect.c 
  Log:
  - Convert to USERS/GROUPS [1]
  - Resync proxy connect patch [2]
  - Bump PORTREVISION since the proxy patch is unconditionally applied
    which means we can remove that OPTION too
  
  PR:             ports/164698 [1], ports/164711 [2]
  Submitted by:   jgh@ [1], freebsd@nagilum.org [2]
  With Hat:       apache@
  Sponsored by:   RideCharge Inc. / TaxiMagic
  
  Revision  Changes    Path
  1.296     +4 -4      ports/www/apache22/Makefile
  1.9       +0 -1      ports/www/apache22/Makefile.options
  1.2       +72 -72    ports/www/apache22/files/patch-modules__proxy__mod_proxy_connect.c
  1.7       +0 -35     ports/www/apache22/pkg-install
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci freebsd_committer 2012-02-08 04:35:52 UTC
State Changed
From-To: open->closed

Committed, Thanks!